Ricompilare PHP senza toccare apache e mysql?

1 risposta [Ultimo contenuto]
Ritratto di cosmy
cosmy
(Geek)
Offline
Geek
Iscritto: 18/12/2005
Messaggi: 80

Ciao a tutti, vedo che avete un bel restyling Smile
veniamo a noi: devo far girare symfony su un server Debian Etch ma il problema è che richiede php 5.2.4 minimo.
Siccome non voglio sconvolgere tutto e rischiare di fare danni, qualcuno mi sa dire la strada migliore?
Ho già tutti i sorgenti a portata di mano.

Grazie

O Tempora, O Mores!

Ritratto di dc94
dc94
(Newbie)
Offline
Newbie
Iscritto: 04/09/2011
Messaggi: 2

salve

io uso ubuntu ma i comandi sono gli stessi.

attualmente l'ultima versione di php è la 5.3.8

http://it.php.net/get/php-5.3.8.tar.gz/from/a/mirror

una volta scaricata estrai il pacchetti con tar-xjf php-5.3.8.tar.gz

una volta estratto il pacchetto entra nella cartella appena creata

cd php-5.3.8
dai questo comando

./configure
poi compila il tutto con
make
e installa il pacchetto appena compilato

make install
controlla la versione appena installata

php -v

N.B se hai già 1 installazione di php assicurato di rimuoverla con apt-get remove php5